> ## Documentation Index
> Fetch the complete documentation index at: https://docs.collectpure.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get analytics for many products

> Retrieve market price, premium, and depth analytics for up to 100 product and variant pairs over one shared day range. Pairs with no history return zeroed series, in the same order as the request.

**Requires role:** stytch_member

**Rate limit:** 120 requests per minute per API key.



## OpenAPI

````yaml /api-reference/openapi.json post /products/get-product-analytics/v2
openapi: 3.1.0
info:
  title: Pure Public API
  description: >-
    Public API for accessing Pure marketplace data including products, spot
    prices, and more.
  version: 2.0.0
  license:
    name: Proprietary
servers:
  - url: https://api.collectpure.com/
    description: Production server
  - url: https://sandbox.api.collectpure.com/
    description: Sandbox server
security:
  - apiKey: []
tags:
  - name: Root
    description: API information and status
  - name: Products
    description: >-
      Enriched product endpoints — full product details, search, and catalog
      metadata
  - name: Listings
    description: Listing management — create, update, deactivate, list, and view statistics
  - name: Offers
    description: Offer management — create, update, deactivate, list, and view statistics
  - name: Orders
    description: >-
      Orders from Pure's fulfillment side: purchase orders are your sells
      (inbound to Pure), sale orders are your buys (outbound from Pure)
  - name: Marketplace
    description: Spot prices, marketplace statistics, shipping dates, and sitemap data
  - name: Organization
    description: Organization details, settings, and product watchlist management
  - name: Inventory
    description: >-
      Inventory management — view items and aggregate statistics for your
      organization
  - name: Vault (Alpha)
    description: >-
      Alpha vault reads — intake address, inventory, inbound/outbound shipments,
      and outbound-request v2. Subject to change.
  - name: Products (Legacy)
    description: Legacy product endpoints — use the enriched Products endpoints instead
  - name: Listings (Legacy)
    description: Legacy listing endpoints — use Orderbook endpoints instead
  - name: Offers (Legacy)
    description: Legacy offer endpoints — use Orderbook endpoints instead
  - name: Execution - Buy
    description: Buy execution — quotes, payment methods, and order placement
  - name: Execution - Sell
    description: Sell execution — quotes, payout methods, and order placement
  - name: Execution
    description: Execution meta — trading status and shared execution resources
  - name: Sandbox
    description: >-
      Sandbox-only endpoints for discovering test data — not available in
      production
paths:
  /products/get-product-analytics/v2:
    post:
      tags:
        - Products
      summary: Get analytics for many products
      description: >-
        Retrieve market price, premium, and depth analytics for up to 100
        product and variant pairs over one shared day range. Pairs with no
        history return zeroed series, in the same order as the request.


        **Requires role:** stytch_member


        **Rate limit:** 120 requests per minute per API key.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                range:
                  type: integer
                  minimum: 1
                  maximum: 365
                  description: Number of days of history to include (1-365)
                items:
                  minItems: 1
                  maxItems: 100
                  type: array
                  items:
                    type: object
                    properties:
                      productId:
                        type: string
                        format: uuid
                        pattern: >-
                          ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                        description: Product ID
                      variantId:
                        type: string
                        format: uuid
                        pattern: >-
                          ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                        description: Variant ID
                    required:
                      - productId
                      - variantId
                  description: Product and variant pairs to load analytics for (max 100)
              required:
                - range
                - items
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        productId:
                          type: string
                        variantId:
                          type: string
                        marketPrice:
                          type: object
                          properties:
                            value:
                              type: number
                            change:
                              type: number
                            changePercent:
                              type: number
                            dataPoints:
                              type: array
                              items:
                                type: object
                                properties:
                                  value:
                                    type: number
                                  timestamp:
                                    type: string
                                required:
                                  - value
                                  - timestamp
                                additionalProperties: false
                          required:
                            - value
                            - change
                            - changePercent
                            - dataPoints
                          additionalProperties: false
                        premium:
                          type: object
                          properties:
                            value:
                              type: number
                            change:
                              type: number
                            changePercent:
                              type: number
                            dataPoints:
                              type: array
                              items:
                                type: object
                                properties:
                                  value:
                                    type: number
                                  timestamp:
                                    type: string
                                required:
                                  - value
                                  - timestamp
                                additionalProperties: false
                          required:
                            - value
                            - change
                            - changePercent
                            - dataPoints
                          additionalProperties: false
                        depth:
                          type: object
                          properties:
                            value:
                              type: number
                            change:
                              type: number
                            changePercent:
                              type: number
                            dataPoints:
                              type: array
                              items:
                                type: object
                                properties:
                                  value:
                                    type: number
                                  timestamp:
                                    type: string
                                required:
                                  - value
                                  - timestamp
                                additionalProperties: false
                          required:
                            - value
                            - change
                            - changePercent
                            - dataPoints
                          additionalProperties: false
                      required:
                        - productId
                        - variantId
                        - marketPrice
                        - premium
                        - depth
                      additionalProperties: false
                required:
                  - data
                additionalProperties: false
components:
  securitySchemes:
    apiKey:
      type: apiKey
      name: x-api-key
      in: header
      description: API key for authentication

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.